@import url('https://fonts.cdnfonts.com/css/monument-extended');
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box; 
}

:root {
    /* colores */
    --bg-color:#f8e2da;
    --negro: #35221c;
    --rojo: #ff3a06;
    --verde: #11cac9;

    /* flex font */
    --font-size-sm: clamp(1rem, -0.11vw + 1.03rem, 0.94rem);
    --font-size-base: clamp(1.25rem, 0vw + 1.25rem, 1.25rem);
    --font-size-md: clamp(1.56rem, 0.19vw + 1.52rem, 1.67rem);
    --font-size-lg: clamp(1.95rem, 0.49vw + 1.83rem, 2.22rem);
    --font-size-xl: clamp(2.44rem, 0.94vw + 2.21rem, 2.96rem);
    --font-size-xxl: clamp(3.05rem, 1.63vw + 2.64rem, 3.95rem);
    --font-size-xxxl: clamp(3.81rem, 2.63vw + 3.16rem, 5.26rem);
}

body {
    background-color: var(--bg-color);
    font-family: 'Monument Extended', sans-serif;
    color: var(--negro);
    text-align: center;
}

h1 {
    font-size: var(--font-size-lg);
}

p {
    font-size: var(--font-size-base);
}

.bandas,
.bandas-pie {
    width: 100%;
    height: fit-content;
    overflow: hidden;
    padding-block: 20px;
}

.bandas ul {
    display: flex;
    list-style: none;
    align-items: center;
    animation: marquee 20s linear infinite;
}
.bandas-pie ul {
    display: flex;
    list-style: none;
    align-items: center;
    animation: marquee-pie 20s linear infinite;
}

.bandas ul li,
.bandas-pie ul li {
    font-size: var(--font-size-xl);
    font-weight: 400;
    padding-inline-end: 10px;
    flex-shrink: 0;
    -webkit-text-stroke: 1.5px var(--negro);
    -webkit-text-fill-color: transparent;
    color: #0000;
    text-shadow: -2px 2px 0 var(--rojo);
}

.bandas ul li span{
    font-size: 18px;
}

@keyframes marquee {
    0% {
      transform: translateX(0);
    }
    100% {
      transform: translateX(-100%);
    }
  }

@keyframes marquee-pie {
    100% {
      transform: translateX(0);
    }
    0% {
      transform: translateX(-100%);
    }
  }

main {
    display: flex;
    align-items: center;
    flex-direction: column;
    padding-block: 25px;
    gap: 10px;
}


.logo {
    height: 100%;
    display: flex;
    max-width: 900px;
    
}

.logo img {
    max-width: 900px;
    
}

.boton {
    font-family: 'Monument Extended';
    font-size: var(--font-size-md);
    background-color: var(--rojo) ;
    border-radius: 5px;
    color: var(--negro);
    cursor: pointer;
    padding: 20px;
    margin-block: 10px;
    transition: all .3s;
    text-decoration: none;
    
}

.boton:hover {
    color: var(--bg-color);
    box-shadow: 1px 1px var(--negro), 2px 2px var(--negro), 3px 3px var(--negro), 4px 4px var(--negro), 5px 5px var(--negro), 6px 6px var(--negro), 7px 7px var(--negro), 8px 8px var(--negro);
}

.logos {
    display: flex;
    gap: 15px;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    padding-block: 15px;
}

.logos img {
    max-width: 180px;
}

footer {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 25px;
    padding-block: 15px;
}

footer a i {
    font-size: 25px;
    cursor: pointer;
    transition: all .3s;
    color: var(--negro);
}

footer a i:hover {
    color: var(--rojo);
}

small {
    padding-block-end: 30px;
    font-size: 14px;
    font-weight: 400;
}


@media (max-width: 900px) {
    .logo img {
        width: 100%; 
    } 
}

@media (max-width: 480px) {
    main {
        padding-inline: 15px ;
    }

    a {
        font-size: var(--font-size-sm);
    }

    .bandas ul {
        display: flex;
        list-style: none;
        align-items: center;
        animation: marquee 15s linear infinite;
    }
    .bandas-pie ul {
        display: flex;
        list-style: none;
        align-items: center;
        animation: marquee-pie 15s linear infinite;
    }

    .bandas ul li,
    .bandas-pie ul li {
        font-size: var(--font-size-md);
        font-weight: 400;
        padding-inline-end: 10px;
        flex-shrink: 0;
        -webkit-text-stroke: 1px var(--negro);
        -webkit-text-fill-color: transparent;
        color: #0000;
        text-shadow: -2px 2px 0 var(--rojo);
    }

    @keyframes marquee {
        0% {
          transform: translateX(0);
        }
        100% {
          transform: translateX(-500%);
        }
      }

      @keyframes marquee-pie {
        100% {
          transform: translateX(0);
        }
        0% {
          transform: translateX(-500%);
        }
      }

    h1 {
        font-size: var(--font-size-md);
    }
    
    p {
        font-size: var(--font-size-sm);
    }

    .logos {
        padding-inline: 15px;
    }
}